//Robot Roundup (Defense)
//Script by John Worden (MilkMaster72)
ClearGameEventCallbacks()
local pdLogic = Entities.FindByName(null, "logic_pd")
local timer = Entities.FindByName(null, "timer")
local cappedOne = false
local cappedTwo = false
function Tick()
{
    local botACount = 0
    local botBCount = 0
    for (local ent; ent = Entities.FindByClassname(ent, "tf_robot_destruction_robot"); )
    {
        if (NetProps.GetPropInt(ent, "m_eType") == 0) //A
            botACount++
        else if (NetProps.GetPropInt(ent, "m_eType") == 1) //B
            botBCount++
    }
    NetProps.SetPropInt(pdLogic, "m_nRedScore", botACount)
    NetProps.SetPropInt(pdLogic, "m_nBlueScore", botBCount)

    if (cappedOne == false && botACount == 0) //All Bot As destroyed?
        CappedFirst()
    else if (cappedTwo == false && botBCount == 0) //All Bot Bs destroyed?
        CappedSecond()
}
function CappedFirst()
{
    cappedOne = true
    EntFire("cp_1", "setowner", "3", 0, null)
    EntFire("cap_a_relay", "trigger", null, 0, null)
}
function CappedSecond()
{
    cappedTwo = true
    EntFire("cp_2", "setowner", "3", 0, null)
    EntFire("cap_b_relay", "trigger", null, 0, null)
}
__CollectGameEventCallbacks(this)